Crashpad

Public Attributes | List of all members
MINIDUMP_HANDLE_DESCRIPTOR Struct Reference

Contains the state of an individual system handle at the time the snapshot was taken. This structure is Windows-specific. More...

`#include "dbghelp.h"`

Inheritance diagram for MINIDUMP_HANDLE_DESCRIPTOR:

## Public Attributes
uint64_t | Handle
| The Windows `HANDLE` value.
RVA | TypeNameRva
| An RVA to a MINIDUMP_STRING structure that specifies the object type of the handle. This member can be zero.
RVA | ObjectNameRva
| An RVA to a MINIDUMP_STRING structure that specifies the object name of the handle. This member can be zero.
uint32_t | Attributes
| The attributes for the handle, this corresponds to `OBJ_INHERIT`, `OBJ_CASE_INSENSITIVE`, etc.
uint32_t | GrantedAccess
| The `ACCESS_MASK` for the handle.
uint32_t | HandleCount
| This is the number of open handles to the object that this handle refers to.
uint32_t | PointerCount
| This is the number kernel references to the object that this handle refers to.

## Detailed Description

Contains the state of an individual system handle at the time the snapshot was taken. This structure is Windows-specific.

See also
  MINIDUMP_HANDLE_DESCRIPTOR_2

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h